
      subroutine pltvect(u,v,id1,id2,x0,x1,y0,y1,incx,incy,ylaboff,
     +  vlc,vhc,spv)
      dimension u(id1,id2),v(id1,id2)
      character*36 veclab
c
      call vvseti('MAP -- Mapping Flag',1)
      call vvseti('SET -- Set Call Flag',0)
      call vvsetr('XC1 -- Lower X Bound',x0)
      call vvsetr('XCM -- Upper X Bound',x1)
      call vvsetr('YC1 -- Lower Y Bound',y0)
      call vvsetr('YCN -- Upper Y Bound',y1)
      call vvsetr('USV -- U Special Value',spv)
      call vvsetr('VSV -- V Special Value',spv)
      call vvseti('SVF -- Special Value Flag',3)
      call vvseti('XIN -- X Axis Array Increment',incx)
      call vvseti('YIN -- X Axis Array Increment',incy)
      call vvseti('VPO -- Vector Positioning Mode',1)
c
      call vvsetc('MNT -- Min Vector Text String',' ')
      call vvseti('MXP -- Max Vector Text Block Positioning Mode',0)
      call vvsetr('MXX -- Max Vector Text Block X Coord',.5)
      call vvsetr('MXY -- Max Vector Text Block Y Coord',ylaboff)
      call vvsetr('MXS -- Max Vector Text Block Char Size',.017)
c
      idm = 0
      rdm = 0.
      call vvinit(u,id1,v,id1,rdm,idm,id1,id2,rdm,idm)
      call vvgetr('VMN -- Min Vector Magnitude',vmn)
      call vvgetr('VMX -- Min Vector Magnitude',vmx)
      write(veclab,"('VECTOR MIN ',f5.2,', MAX ',f6.2,' (M/S)')") 
     +  vmn,vmx
      call vvsetc('MXT -- Max Vector Text String',veclab)
      call vvgetr('DMX -- Device Max Vector Length',dmx)
      call getset(vl,vr,vb,vt,wl,wr,wb,wt,ll)
      call vvsetr('VRL -- Vector Realized Length',2.0*dmx/(vr-vl))
      call vvsetr('VLC -- Vector Low Cutoff',-vlc)
      call vvsetr('VHC -- Vector High Cutoff',-vhc)
      call vvectr(u,v,rdm,idm,idm,rdm)
      return
      end
